#### Previous topic

scipy.ndimage.map_coordinates

#### Next topic

scipy.ndimage.shift

# scipy.ndimage.rotate

`scipy.ndimage.``rotate`(input, angle, axes=(1, 0), reshape=True, output=None, order=3, mode='constant', cval=0.0, prefilter=True)

  Rotate an array.

  The array is rotated in the plane defined by the two axes given by the axes parameter using spline interpolation of the requested order.

  Parameters:

  input : ndarray

  > The input array.

  angle : float

  > The rotation angle in degrees.

  axes : tuple of 2 ints, optional

  > The two axes that define the plane of rotation. Default is the first two axes.

  reshape : bool, optional

  > If reshape is true, the output shape is adapted so that the input array is contained completely in the output. Default is True.

  output : ndarray or dtype, optional

  > The array in which to place the output, or the dtype of the returned array.

  order : int, optional

  > The order of the spline interpolation, default is 3. The order has to be in the range 0-5.

  mode : str, optional

  > Points outside the boundaries of the input are filled according to the given mode (‘constant’, ‘nearest’, ‘reflect’ or ‘wrap’). Default is ‘constant’.

  cval : scalar, optional

  > Value used for points outside the boundaries of the input if `mode='constant'`. Default is 0.0

  prefilter : bool, optional

  > The parameter prefilter determines if the input is pre-filtered with `spline_filter` before interpolation (necessary for spline interpolation of order > 1). If False, it is assumed that the input is already filtered. Default is True.

  Returns:

  rotate : ndarray or None

  > The rotated input. If output is given as a parameter, None is returned.